package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @Reference:
 * @Author: yiming.gu
 * @CreateDate:2019-05-21
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_KP_DATA")
@Api("物料关键数据关系")
public class MesKpData extends BaseBean {
    @Column(name="PART_NO")
    @ApiParam("物料号")
    private String partNo;

    @Column(name="KEY_DATA_CODE")
    @ApiParam("关键数据代码")
    private String keyDataCode;

    @Column(name="KEY_DATA_NAME")
    @ApiParam("关键数据名称")
    private String keyDataName;

    @Column(name="KEY_DATA_COUNT")
    @ApiParam("关键数据数量")
    private Integer keyDataCount;

    @Column(name="UPPER_LIMIT")
    @ApiParam("数据上限")
    private Double upperLimit;

    @Column(name="LOWER_LIMIT")
    @ApiParam("数据下限")
    private Double lowerLimit;

    public double getKeyDataCountVal() {
        return this.keyDataCount == null ? 0 : this.keyDataCount;
    }

    public double getUpperLimitVal() {
        return this.upperLimit == null ? 0.0d : this.upperLimit;
    }

    public double getLowerLimitVal() {
        return this.lowerLimit == null ? 0.0d : this.lowerLimit;
    }
}
